Bug 1457449 - Review Request: R-DelayedArray - Delayed operations on array-like objects
Summary: Review Request: R-DelayedArray - Delayed operations on array-like objects
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mattias Ellert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1457447
Blocks: 1457451
TreeView+ depends on / blocked
 
Reported: 2017-05-31 18:18 UTC by Tom "spot" Callaway
Modified: 2017-06-21 12:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-21 12:19:38 UTC
mattias.ellert: fedora-review+


Attachments (Terms of Use)

Description Tom "spot" Callaway 2017-05-31 18:18:22 UTC
Spec URL: https://spot.fedorapeople.org/R-DelayedArray.spec
SRPM URL: https://spot.fedorapeople.org/R-DelayedArray-0.2.4-1.fc26.src.rpm
Description:
Wrapping an array-like object (typically an on-disk object) in a DelayedArray 
object allows one to perform common array operations on it without loading 
the object in memory. In order to reduce memory usage and optimize 
performance, operations on the object are either delayed or executed using a 
block processing mechanism. Note that this also works on in-memory array-like 
objects like DataFrame objects (typically with Rle columns), Matrix objects, 
and ordinary arrays and data frames.
Fedora Account System Username: spot

Comment 1 Mattias Ellert 2017-06-06 21:43:14 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated


Issues:
=======

The items marked [!] below all follow from that upstream has released
a newer version since the package was prepared:

[!]: Latest version is packaged.
     Note: Latest upstream version is 0.2.7, packaged version is 0.2.4

The source tarball for the packaged version is no longer available
from the URL given in the specfile. Upstream seems to have removed the
old source from the server when the new version was released, or maybe
moved it to a new location. So the source download check fails and the
comparison of the packaged source with the upstream source can not be
perfomed.

The package build log has some warnings related to documentation
generation durung the build:

Rd warning: /builddir/build/BUILD/DelayedArray/DelayedArray/man/DelayedArray-class.Rd:175: missing file link 'cbind'
Rd warning: /builddir/build/BUILD/DelayedArray/DelayedArray/man/DelayedArray-utils.Rd:95: missing file link 'Ops'
Rd warning: /builddir/build/BUILD/DelayedArray/DelayedArray/man/DelayedArray-utils.Rd:96: missing file link 'Math'
Rd warning: /builddir/build/BUILD/DelayedArray/DelayedArray/man/DelayedArray-utils.Rd:96: missing file link 'Math2'
Rd warning: /builddir/build/BUILD/DelayedArray/DelayedArray/man/DelayedArray-utils.Rd:102: missing file link 'cbind'
Rd warning: /builddir/build/BUILD/DelayedArray/DelayedArray/man/DelayedArray-utils.Rd:108: missing file link 'Summary'
Rd warning: /builddir/build/BUILD/DelayedArray/DelayedArray/man/DelayedArray-utils.Rd:122: missing file link 'is.na'
Rd warning: /builddir/build/BUILD/DelayedArray/DelayedArray/man/DelayedArray-utils.Rd:122: missing file link '!'
Rd warning: /builddir/build/BUILD/DelayedArray/DelayedArray/man/DelayedArray-utils.Rd:124: missing file link '%*%'
Rd warning: /builddir/build/BUILD/DelayedArray/DelayedArray/man/DelayedArray-utils.Rd:127: missing file link 'rowSums'
Rd warning: /builddir/build/BUILD/DelayedArray/DelayedArray/man/DelayedArray-utils.Rd:128: missing file link 'rowMaxs'
Rd warning: /builddir/build/BUILD/DelayedArray/DelayedArray/man/DelayedArray-utils.Rd:144: missing file link 'Ops'
Rd warning: /builddir/build/BUILD/DelayedArray/DelayedArray/man/DelayedArray-utils.Rd:145: missing file link 'Math'
Rd warning: /builddir/build/BUILD/DelayedArray/DelayedArray/man/DelayedArray-utils.Rd:145: missing file link 'Math2'
Rd warning: /builddir/build/BUILD/DelayedArray/DelayedArray/man/RleArray-class.Rd:50: missing file link 'Rle'
Rd warning: /builddir/build/BUILD/DelayedArray/DelayedArray/man/RleArray-class.Rd:70: missing file link 'Rle'
Rd warning: /builddir/build/BUILD/DelayedArray/DelayedArray/man/cbind-methods.Rd:43: missing file link 'acbind'

Not critical, but if it can be fixed...

There is no need to run one more iteration of the review only for
updating to the latest version. This can be done before importing the
package in Fedora. The package is therefore...

APPROVED.


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
     DESCRIPTION file states "License: Artistic-2.0".
     No other licensing information found in the sources.
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
     No license file present in the sources.
[x]: License field in the package spec file matches the actual license.
     Specfile states: "License: Artistic 2.0".
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
     Requires in specfile matches the Depends in the DESCRIPTION file
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[!]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
     rpmlint complains source URL is invalid.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[!]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

R:
[x]: Package contains the mandatory BuildRequires.
[x]: The package has the standard %install section.
[x]: Package requires R-core.

===== SHOULD items =====

Generic:
[!]: Sources can be downloaded from URI in Source: tag
     Note: Could not download Source0:
     http://www.bioconductor.org/packages/release/bioc/src/contrib/DelayedArray_0.2.4.tar.gz
[?]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[!]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[?]: Package should compile and build into binary rpms on all supported
     architectures.
[?]: %check is present and all tests pass.
     Checks are disabled due to missing test dependencies.
[-]: Packages should try to preserve timestamps of original installed
     files.
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[!]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

R:
[!]: Latest version is packaged.
     Note: Latest upstream version is 0.2.7, packaged version is 0.2.4
[x]: The %check macro is present

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: R-DelayedArray-0.2.4-1.fc27.noarch.rpm
          R-DelayedArray-0.2.4-1.fc27.src.rpm
R-DelayedArray.src: W: invalid-url Source0: http://www.bioconductor.org/packages/release/bioc/src/contrib/DelayedArray_0.2.4.tar.gz HTTP Error 404: Not Found
2 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
1 packages and 0 specfiles checked; 0 errors, 0 warnings.



Requires
--------
R-DelayedArray (rpmlib, GLIBC filtered):
    R-BiocGenerics
    R-IRanges
    R-S4Vectors
    R-core
    R-matrixStats
    R-methods



Provides
--------
R-DelayedArray:
    R-DelayedArray



Generated by fedora-review 0.6.1 (f03e4e7) last change: 2016-05-02
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1457449 -L deps
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, R, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Built with local dependencies:
    /home/ellert/R-DelayedArray/deps/R-matrixStats-0.52.2-1.fc27.x86_64.rpm

Comment 2 Gwyn Ciesla 2017-06-07 14:27:41 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/R-DelayedArray

Comment 3 Fedora Update System 2017-06-08 20:41:10 UTC
R-3.4.0-2.fc25 R-RCurl-1.95.4.8-1.fc25 R-Rcompression-0.93.2-15.fc25 R-XML-3.98.1.7-1.fc25 R-bitops-1.0.6-5.fc25 rkward-0.6.5-6.fc25 rpy-2.8.5-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-17bcc534b7

Comment 4 Fedora Update System 2017-06-08 20:42:19 UTC
R-3.4.0-2.fc25 R-RCurl-1.95.4.8-1.fc25 R-Rcompression-0.93.2-15.fc25 R-XML-3.98.1.7-1.fc25 R-bitops-1.0.6-5.fc25 rkward-0.6.5-6.fc25 rpy-2.8.5-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-17bcc534b7

Comment 5 Fedora Update System 2017-06-09 13:38:41 UTC
R-3.4.0-2.fc25, R-RCurl-1.95.4.8-1.fc25, R-Rcompression-0.93.2-15.fc25, R-XML-3.98.1.7-1.fc25, R-bitops-1.0.6-5.fc25, rkward-0.6.5-6.fc25, rpy-2.8.5-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-17bcc534b7

Comment 6 Fedora Update System 2017-06-09 16:19:47 UTC
R-3.4.0-2.fc25 R-BH-1.62.0.1-2.fc25 R-Biobase-2.36.2-1.fc25 R-BiocGenerics-0.22.0-1.fc25 R-BiocParallel-1.10.1-1.fc25 R-Biostrings-2.44.0-1.fc25 R-BufferedMatrix-1.40.0-1.fc25 R-BufferedMatrixMethods-1.40.0-1.fc25 R-DBI-0.6.1-1.fc25 R-DelayedArray-0.2.7-1.fc25 R-GenomeInfoDb-1.12.1-1.fc25 R-GenomeInfoDbData-0.99.0-1.fc25 R-GenomicAlignments-1.12.1-1.fc25 R-GenomicRanges-1.28.3-1.fc25 R-IRanges-2.10.1-1.fc25 R-R6-2.2.1-1.fc25 R-RCurl-1.95.4.8-1.fc25 R-RInside-0.2.14-2.fc25 R-RODBC-1.3.15-1.fc25 R-RSQLite-1.1.2-2.fc25 R-Rcompression-0.93.2-15.fc25 R-Rsamtools-1.28.0-1.fc25 R-Rsolid-0.9.31-20.fc25 R-S4Vectors-0.14.3-1.fc25 R-SummarizedExperiment-1.6.3-1.fc25 R-XML-3.98.1.7-1.fc25 R-XVector-0.16.0-1.fc25 R-acepack-1.4.1-2.fc25 R-affy-1.54.0-1.fc25 R-affyio-1.46.0-1.fc25 R-biglm-0.9.1-8.fc25 R-bitops-1.0.6-5.fc25 R-caTools-1.17.1-4.fc25 R-digest-0.6.12-1.fc25 R-expm-0.999.2-1.fc25 R-futile.logger-1.4.3-1.fc25 R-futile.options-1.0.0-1.fc25 R-highlight-0.4.7.1-2.fc25 R-lambda.r-1.1.9-1.fc25 R-littler-0.3.2-2.fc25 R-lmtest-0.9.35-1.fc25 R-maanova-1.46.1-1.fc25 R-magrittr-1.5-1.fc25 R-matrixStats-0.52.2-1.fc25 R-msm-1.6.4-1.fc25 R-multtest-2.32.0-1.fc25 R-mvtnorm-1.0.6-1.fc25 R-plogr-0.1.1-1.fc25 R-preprocessCore-1.38.1-1.fc25 R-qtl-1.40.8-3.fc25 R-rlecuyer-0.3.4-1.fc25 R-rtracklayer-1.36.3-1.fc25 R-snow-0.4.2-1.fc25 R-testthat-1.0.2-1.fc25 R-waveslim-1.7.5-4.fc25 R-wavethresh-4.6.8-1.fc25 rkward-0.6.5-6.fc25 rpy-2.8.5-4.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-17bcc534b7

Comment 7 Fedora Update System 2017-06-10 12:33:59 UTC
R-3.4.0-2.fc25, R-BH-1.62.0.1-2.fc25, R-Biobase-2.36.2-1.fc25, R-BiocGenerics-0.22.0-1.fc25, R-BiocParallel-1.10.1-1.fc25, R-Biostrings-2.44.0-1.fc25, R-BufferedMatrix-1.40.0-1.fc25, R-BufferedMatrixMethods-1.40.0-1.fc25, R-DBI-0.6.1-1.fc25, R-DelayedArray-0.2.7-1.fc25, R-GenomeInfoDb-1.12.1-1.fc25, R-GenomeInfoDbData-0.99.0-1.fc25, R-GenomicAlignments-1.12.1-1.fc25, R-GenomicRanges-1.28.3-1.fc25, R-IRanges-2.10.1-1.fc25, R-R6-2.2.1-1.fc25, R-RCurl-1.95.4.8-1.fc25, R-RInside-0.2.14-2.fc25, R-RODBC-1.3.15-1.fc25, R-RSQLite-1.1.2-2.fc25, R-Rcompression-0.93.2-15.fc25, R-Rsamtools-1.28.0-1.fc25, R-Rsolid-0.9.31-20.fc25, R-S4Vectors-0.14.3-1.fc25, R-SummarizedExperiment-1.6.3-1.fc25, R-XML-3.98.1.7-1.fc25, R-XVector-0.16.0-1.fc25, R-acepack-1.4.1-2.fc25, R-affy-1.54.0-1.fc25, R-affyio-1.46.0-1.fc25, R-biglm-0.9.1-8.fc25, R-bitops-1.0.6-5.fc25, R-caTools-1.17.1-4.fc25, R-digest-0.6.12-1.fc25, R-expm-0.999.2-1.fc25, R-futile.logger-1.4.3-1.fc25, R-futile.options-1.0.0-1.fc25, R-highlight-0.4.7.1-2.fc25, R-lambda.r-1.1.9-1.fc25, R-littler-0.3.2-2.fc25, R-lmtest-0.9.35-1.fc25, R-maanova-1.46.1-1.fc25, R-magrittr-1.5-1.fc25, R-matrixStats-0.52.2-1.fc25, R-msm-1.6.4-1.fc25, R-multtest-2.32.0-1.fc25, R-mvtnorm-1.0.6-1.fc25, R-plogr-0.1.1-1.fc25, R-preprocessCore-1.38.1-1.fc25, R-qtl-1.40.8-3.fc25, R-rlecuyer-0.3.4-1.fc25, R-rtracklayer-1.36.3-1.fc25, R-snow-0.4.2-1.fc25, R-testthat-1.0.2-1.fc25, R-waveslim-1.7.5-4.fc25, R-wavethresh-4.6.8-1.fc25, rkward-0.6.5-6.fc25, rpy-2.8.5-4.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-17bcc534b7

Comment 8 Fedora Update System 2017-06-21 12:19:38 UTC
R-3.4.0-2.fc25, R-BH-1.62.0.1-2.fc25, R-Biobase-2.36.2-1.fc25, R-BiocGenerics-0.22.0-1.fc25, R-BiocParallel-1.10.1-1.fc25, R-Biostrings-2.44.0-1.fc25, R-BufferedMatrix-1.40.0-1.fc25, R-BufferedMatrixMethods-1.40.0-1.fc25, R-DBI-0.6.1-1.fc25, R-DelayedArray-0.2.7-1.fc25, R-GenomeInfoDb-1.12.1-1.fc25, R-GenomeInfoDbData-0.99.0-1.fc25, R-GenomicAlignments-1.12.1-1.fc25, R-GenomicRanges-1.28.3-1.fc25, R-IRanges-2.10.1-1.fc25, R-R6-2.2.1-1.fc25, R-RCurl-1.95.4.8-1.fc25, R-RInside-0.2.14-2.fc25, R-RODBC-1.3.15-1.fc25, R-RSQLite-1.1.2-2.fc25, R-Rcompression-0.93.2-15.fc25, R-Rsamtools-1.28.0-1.fc25, R-Rsolid-0.9.31-20.fc25, R-S4Vectors-0.14.3-1.fc25, R-SummarizedExperiment-1.6.3-1.fc25, R-XML-3.98.1.7-1.fc25, R-XVector-0.16.0-1.fc25, R-acepack-1.4.1-2.fc25, R-affy-1.54.0-1.fc25, R-affyio-1.46.0-1.fc25, R-biglm-0.9.1-8.fc25, R-bitops-1.0.6-5.fc25, R-caTools-1.17.1-4.fc25, R-digest-0.6.12-1.fc25, R-expm-0.999.2-1.fc25, R-futile.logger-1.4.3-1.fc25, R-futile.options-1.0.0-1.fc25, R-highlight-0.4.7.1-2.fc25, R-lambda.r-1.1.9-1.fc25, R-littler-0.3.2-2.fc25, R-lmtest-0.9.35-1.fc25, R-maanova-1.46.1-1.fc25, R-magrittr-1.5-1.fc25, R-matrixStats-0.52.2-1.fc25, R-msm-1.6.4-1.fc25, R-multtest-2.32.0-1.fc25, R-mvtnorm-1.0.6-1.fc25, R-plogr-0.1.1-1.fc25, R-preprocessCore-1.38.1-1.fc25, R-qtl-1.40.8-3.fc25, R-rlecuyer-0.3.4-1.fc25, R-rtracklayer-1.36.3-1.fc25, R-snow-0.4.2-1.fc25, R-testthat-1.0.2-1.fc25, R-waveslim-1.7.5-4.fc25, R-wavethresh-4.6.8-1.fc25, rkward-0.6.5-6.fc25, rpy-2.8.5-4.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.